import QtQuick 1.1
import QtMultimediaKit 1.1
import QtMobility.feedback 1.1
import com.nokia.meego 1.0

PageStackWindow
{

    id: appWindow

    //initialPage: incomingCallPage
    initialPage: mainPage

    property string callerName
    property string callerNumber
    signal callerChanged(string callerName)
    signal numberChanged(string callerNumber)

    Audio
    {
        property bool m_loop;

        id:nokiaRingtone
        source: "assets/Nokia tune.mp3"
        playing: false
        onStopped:
        {
            if(m_loop)
            {
                nokiaRingtone.play();
                nokiaFeedback.start();
            }
        }
    }

    FileEffect
    {
        id: nokiaFeedback
        loaded: false
        source: "assets/Nokia tune.ivt"
    }

    signal acceptCall()
    property int callSecs
    signal callSecsChanged(int callSecs)

    Timer
    {
        id: callTimer
        interval: 1000
        repeat: true
        running: false;
        onTriggered:
        {
            callSecs += 1;
            callSecsChanged(callSecs);
        }
    }

    MainPage
    {
        id: mainPage
    }

    signal placeCall()

    ContactSelectedPage
    {
        id: contactSelectedPage
    }

    IncomingCall
    {
        id: incomingCallPage
    }

    Menu
    {
        id: myMenu
        visualParent: pageStack
    }
}
